# Enum Class Modifier

java.lang.Object
java.lang.Enum<Modifier>
com.sun.mirror.declaration.Modifier

All Implemented Interfaces:
  `Serializable, Comparable<Modifier>, Constable`

public enum Modifier extends Enum<Modifier>
Represents a modifier on the declaration of a program element such as a class, method, or field.

Not all modifiers are applicable to all kinds of declarations. When two or more modifiers appear in the source code of a declaration, then it is customary, though not required, that they appear in the same order as the constants listed in the detail section below.

Since:
  1.5
Version:
  1.1 04/01/25
Author:
  Joseph D. Darcy, Scott Seligman

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ABSTRACT`
The modifier `abstract`
`FINAL`
The modifier `final`
`NATIVE`
The modifier `native`
`PRIVATE`
The modifier `private`
`PROTECTED`
The modifier `protected`
`PUBLIC`
The modifier `public`
`STATIC`
The modifier `static`
`STRICTFP`
The modifier `strictfp`
`SYNCHRONIZED`
The modifier `synchronized`
`TRANSIENT`
The modifier `transient`
`VOLATILE`
The modifier `volatile`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Returns this modifier's name in lowercase.
`static Modifier`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Modifier[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PUBLIC

public static final Modifier PUBLIC
The modifier `public`

### PROTECTED

public static final Modifier PROTECTED
The modifier `protected`

### PRIVATE

public static final Modifier PRIVATE
The modifier `private`

### ABSTRACT

public static final Modifier ABSTRACT
The modifier `abstract`

### STATIC

public static final Modifier STATIC
The modifier `static`

### FINAL

public static final Modifier FINAL
The modifier `final`

### TRANSIENT

public static final Modifier TRANSIENT
The modifier `transient`

### VOLATILE

public static final Modifier VOLATILE
The modifier `volatile`

### SYNCHRONIZED

public static final Modifier SYNCHRONIZED
The modifier `synchronized`

### NATIVE

public static final Modifier NATIVE
The modifier `native`

### STRICTFP

public static final Modifier STRICTFP
The modifier `strictfp`

## Method Details

### values

public static Modifier[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Modifier valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()
Returns this modifier's name in lowercase.

Overrides:
  `toString` in class `Enum<Modifier>`